edu.northwestern.at.morphadorner

## Class MorphAdornerSettings

- java.lang.Object
- - edu.northwestern.at.morphadorner.MorphAdornerSettings

- All Implemented Interfaces:
    java.io.Serializable

      public class MorphAdornerSettings
      extends java.lang.Object
      implements java.io.Serializable

  Global settings for MorphAdorner.

  This class holds the static values of global settings for MorphAdorner.

  The MorphAdorner resource bundle contains definitions for all the string constants used in MorphAdorner. Once the resource strings have been initialized in the initializeSettings method you can access the strings by calling getString:

  `String s = MorphAdornerSettings.getString( "mystring" , "my string" );`

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MorphAdornerSettings.XMLIDType` XML ID types.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `abbreviationsMainTextURL` Abbreviations URL for main text.
    `java.lang.String` | `abbreviationsSideTextURL` Abbreviations URL for side text.
    `java.lang.String` | `abbreviationsURL` Abbreviations URL.
    `boolean` | `adornExistingXMLFiles` Adorn XML files with existing adorned version in output directory.
    `boolean` | `allowLowerCaseProperNouns` Allow proper nouns to be lower case when part of speech tagging.
    `java.net.URL[]` | `alternateSpellingsByWordClassURLs`
    `protected java.lang.String[]` | `alternateSpellingsByWordClassURLStrings` Alternate spellings by word class URL.
    `java.net.URL[]` | `alternateSpellingsURLs`
    `protected java.lang.String[]` | `alternateSpellingsURLStrings` Alternate spellings URLs.
    `boolean` | `closeSentenceAtEndOfHardTag` Close sentence at end of hard tag.
    `boolean` | `closeSentenceAtEndOfJumpTag` Close sentence at end of jump tag.
    `java.net.URL` | `contextRulesURL`
    `protected java.lang.String` | `contextRulesURLString` Context rules URL.
    `boolean` | `debug` True if debugging enabled.
    `protected java.lang.String` | `defaultPropertiesURLString` MorphAdorner properties file URL.
    `java.lang.String` | `disallowWordElementsIn` XML tags from which to remove word tags.
    `java.lang.String[]` | `fileNames` File names to process.
    `boolean` | `fixGapTags` Fix elements in input text.
    `boolean` | `fixOrigTags` Fix elements in input text.
    `boolean` | `fixSplitWords` Fix selected split words in input text.
    `java.util.List<PatternReplacer>` | `fixSplitWordsPatternReplacers` Fix split words pattern replacers.
    `boolean` | `ignoreLexiconEntriesForLemmatization` Ignore lemma in lexicon when lemmatizing.
    `protected boolean` | `initialized` True if MorphAdorner already initialized.
    `java.net.URL` | `lexicalRulesURL`
    `protected java.lang.String` | `lexicalRulesURLString` Lexical rules URL.
    `MorphAdornerLogger` | `morphAdornerLogger` Logger.
    `java.lang.String` | `outputDirectoryName` Output directory name.
    `boolean` | `outputEOSFlag` Output end of sentence flag.
    `java.lang.String` | `outputEOSFlagAttribute` Output end of sentence flag attribute.
    `boolean` | `outputKWIC` Output KWIC index.
    `int` | `outputKWICWidth` Number of characters in KWIC index entry.
    `java.lang.String` | `outputLeftKWICAttribute` Output left KWIC index attribute.
    `boolean` | `outputLemma` Output lemma.
    `java.lang.String` | `outputLemmaAttribute` Output lemma attribute.
    `boolean` | `outputNonredundantAttributesOnly` Output only non-redundant word level attributes.
    `boolean` | `outputNonredundantEosAttribute` Output only non-redundant eos attribute.
    `boolean` | `outputNonredundantPartAttribute` Output only non-redundant part attribute.
    `boolean` | `outputNonredundantTokenAttribute` Output only non-redundant token attribute.
    `boolean` | `outputOriginalToken` Output original token.
    `java.lang.String` | `outputOriginalTokenAttribute` Output original token attribute.
    `boolean` | `outputPartOfSpeech` Output part of speech tag.
    `java.lang.String` | `outputPartOfSpeechAttribute` Output part of speech tag attribute.
    `boolean` | `outputPseudoPageBoundaryMilestones` Output pseudo-page boundary milestones.
    `java.lang.String` | `outputRightKWICAttribute` Output right KWIC index attribute.
    `boolean` | `outputRunningWordNumbers` Output running word number.
    `boolean` | `outputSentenceBoundaryMilestones` Output sentence boundary milestones.
    `boolean` | `outputSentenceNumber` Output sentence number.
    `java.lang.String` | `outputSentenceNumberAttribute` Output sentence number attribute.
    `boolean` | `outputSpelling` Output (corrected) spelling.
    `java.lang.String` | `outputSpellingAttribute` Output spelling attribute.
    `boolean` | `outputStandardSpelling` Output standard spelling.
    `java.lang.String` | `outputStandardSpellingAttribute` Output standard spelling attribute.
    `boolean` | `outputWhitespaceElements` Output whitespace elements.
    `boolean` | `outputWordNumber` Output word number.
    `java.lang.String` | `outputWordNumberAttribute` Output word number attribute.
    `boolean` | `outputWordOrdinal` Output word ordinal.
    `java.lang.String` | `outputWordOrdinalAttribute` Output word ordinal attribute.
    `java.lang.String` | `programBanner` The program banner (title and version number)
    `java.lang.String` | `programTitle` The program name.
    `java.lang.String` | `programVersion` The program version.
    `UTF8Properties` | `properties` MorphAdorner configuration properties.
    `java.net.URL` | `propertiesURL`
    `protected java.lang.String` | `propertiesURLString`
    `java.lang.String` | `pseudoPageContainerDivTypes` List of pseudo-page ending div types.
    `int` | `pseudoPageSize` Pseudo-page size.
    `protected java.util.ResourceBundle` | `resourceBundle` The resource strings.
    `protected static java.lang.String` | `resourceName` Resource bundle path.
    `java.net.URL` | `spellingsURL`
    `protected java.lang.String` | `spellingsURLString` Standard spellings URL.
    `protected static java.lang.String` | `STR_ADORN_EXISTING_XML_FILES`
    `protected static java.lang.String` | `STR_CLOSE_SENTENCE_AT_END_OF_HARD_TAG`
    `protected static java.lang.String` | `STR_CLOSE_SENTENCE_AT_END_OF_JUMP_TAG`
    `protected static java.lang.String` | `STR_CONTEXT_RULES`
    `protected static java.lang.String` | `STR_DISALLOW_WORD_ELEMENTS_IN`
    `protected static java.lang.String` | `STR_DOCTYPE_NAME`
    `protected static java.lang.String` | `STR_DOCTYPE_SYSTEM`
    `protected static java.lang.String` | `STR_ENTITIES_MERGE`
    `protected static java.lang.String` | `STR_ENTITIES_NOT_FILES`
    `protected static java.lang.String` | `STR_ENTITIES_TREAT_ALL`
    `protected static java.lang.String` | `STR_FIELD_DELIMITERS`
    `protected static java.lang.String` | `STR_FIX_GAP_TAGS`
    `protected static java.lang.String` | `STR_FIX_ORIG_TAGS`
    `protected static java.lang.String` | `STR_FIX_SPLIT_WORDS`
    `protected static java.lang.String` | `STR_ID` XGTagger configuration item names.
    `protected static java.lang.String` | `STR_ID_SPACING`
    `protected static java.lang.String` | `STR_ID_TYPE`
    `protected static java.lang.String` | `STR_IGNORE_TAG_CASE`
    `protected static java.lang.String` | `STR_JUMP_TAGS`
    `protected static java.lang.String` | `STR_LEXICAL_RULES`
    `protected static java.lang.String` | `STR_LOG`
    `protected static java.lang.String` | `STR_OUTPUT_FILE`
    `protected static java.lang.String` | `STR_OUTPUT_NONREDUNDANT_ATTRIBUTES_ONLY`
    `protected static java.lang.String` | `STR_OUTPUT_NONREDUNDANT_EOS_ATTRIBUTE`
    `protected static java.lang.String` | `STR_OUTPUT_NONREDUNDANT_PART_ATTRIBUTE`
    `protected static java.lang.String` | `STR_OUTPUT_NONREDUNDANT_TOKEN_ATTRIBUTE`
    `protected static java.lang.String` | `STR_OUTPUT_PSEUDO_PAGE_BOUNDARY_MILESTONES`
    `protected static java.lang.String` | `STR_OUTPUT_SENTENCE_BOUNDARY_MILESTONES`
    `protected static java.lang.String` | `STR_OUTPUT_WHITESPACE_ELEMENTS`
    `protected static java.lang.String` | `STR_PSEUDO_PAGE_CONTAINER_DIV_TYPES`
    `protected static java.lang.String` | `STR_PSEUDO_PAGE_SIZE`
    `protected static java.lang.String` | `STR_PUNC_TAG_NAME`
    `protected static java.lang.String` | `STR_RELATIVE_URI_BASE`
    `protected static java.lang.String` | `STR_REPEAT_ATTRIBUTES`
    `protected static java.lang.String` | `STR_SOFT_TAGS`
    `protected static java.lang.String` | `STR_SPECIAL_SEPARATOR`
    `protected static java.lang.String` | `STR_SPELLING_PAIRS`
    `protected static java.lang.String` | `STR_SPELLING_PAIRS_BY_WORD_CLASS`
    `protected static java.lang.String` | `STR_STANDARD_SPELLINGS`
    `protected static java.lang.String` | `STR_SUFFIX_LEXICON`
    `protected static java.lang.String` | `STR_SURROUND_MARKER`
    `protected static java.lang.String` | `STR_TAGS_PATH`
    `protected static java.lang.String` | `STR_TOKENLABEL_ATTRIBUTE`
    `protected static java.lang.String` | `STR_TOKENLABEL_EMIT`
    `protected static java.lang.String` | `STR_TOKENLABEL_PREPENDWORKNAME`
    `protected static java.lang.String` | `STR_TOKENLABEL_SPACING`
    `protected static java.lang.String` | `STR_TRANSITION_MATRIX`
    `protected static java.lang.String` | `STR_USE_PC_TO_MARK_END_OF_SENTENCE`
    `protected static java.lang.String` | `STR_WORD_DELIMITERS`
    `protected static java.lang.String` | `STR_WORD_FIELD`
    `protected static java.lang.String` | `STR_WORD_LEXICON`
    `protected static java.lang.String` | `STR_WORD_PATH`
    `protected static java.lang.String` | `STR_WORD_TAG_NAME`
    `protected static java.lang.String` | `STR_XMLSCHEMA`
    `java.net.URL` | `suffixLexiconURL`
    `protected java.lang.String` | `suffixLexiconURLString` Suffix lexicon URL.
    `boolean` | `tokenizeOnly` Tokenize only: Override other output than tokenization for XML.
    `java.net.URL` | `transitionMatrixURL`
    `protected java.lang.String` | `transitionMatrixURLString` Transition matrix URL.
    `boolean` | `tryStandardSpellings` Try standard spellings when guessing parts of speech.
    `boolean` | `useLatinWordList` Use Latin word list.
    `boolean` | `usePCToMarkEndOfSentence` Use PC element to mark end of sentence.
    `boolean` | `useXMLHandler` Use XGTagger-based XML handler.
    `java.net.URL` | `wordLexiconURL`
    `protected java.lang.String` | `wordLexiconURLString` Word lexicon URL.
    `XGOptions` | `xgOptions` XGTagger configuration properties.
    `java.lang.String` | `xmlDoctypeName` XML doctype name for output.
    `java.lang.String` | `xmlDoctypeSystem` XML doctype system (DTD) for output.
    `int` | `xmlIDSpacing` XML ID spacing.
    `MorphAdornerSettings.XMLIDType` | `xmlIDType` XML ID Type.
    `java.lang.String` | `xmlSchema` XML schema to use when parsing XML input files.
    `java.lang.String` | `xmlTokenLabelAttribute` XML token label attribute.
    `boolean` | `xmlTokenLabelEmit` Emit XML token label?
    `boolean` | `xmlTokenLabelPrependWorkName` XML token label prepend work name.
    `int` | `xmlTokenLabelSpacing` XML token label spacing.
    `java.util.List<java.lang.String>` | `xmlWordAttributes` XML word attributes.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MorphAdornerSettings()` Create MorphAdorner settings.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `entityReferenceHandling()` Get XGTagger entity reference handling.
    `protected boolean` | `getBooleanProperty(java.lang.String name, boolean defaultValue)` Get a boolean configuration property.
    `protected java.lang.String` | `getBooleanStringProperty(java.lang.String name, java.lang.String defaultValue)` Get a boolean string configuration property.
    `protected void` | `getCommandLineParameters(java.lang.String[] args)` Get command line parameters.
    `protected int` | `getIntegerProperty(java.lang.String name, int defaultValue)` Get an integer configuration property.
    `java.lang.String` | `getMorphAdornerVersion()` Return MorphAdorner program version.
    `void` | `getOptions()` Get options from properties file.
    `MorphAdornerSettings` | `getSettings()` Return settings.
    `void` | `getSettings(java.lang.String[] args)` Get program settings.
    `java.lang.String` | `getString(java.lang.String resourceName)` Get string from ResourceBundle.
    `java.lang.String` | `getString(java.lang.String resourceName, java.lang.String defaultValue)` Get string from ResourceBundle.
    `protected java.lang.String` | `getStringProperty(java.lang.String name, java.lang.String defaultValue)` Get a string configuration property.
    `java.lang.String[]` | `getStrings(java.lang.String resourceName, java.lang.String[] defaults)` Parse ResourceBundle for a String array.
    `java.lang.String` | `getXMLWordAttribute(int attrIndex)` Get XML word attribute.
    `java.util.List<java.lang.String>` | `getXMLWordAttributes()` Get XML word attributes.
    `protected static void` | `help()` Prints the help message.
    `void` | `initializeSettings(MorphAdornerLogger morphAdornerLogger)` Initialize MorphAdorner settings.
    `void` | `loadProperties()` Get MorphAdorner properties and add them to the System properties.
    `void` | `rectifyOptions()` Rectify options.
    `protected int` | `setDelimiters()` Sets word delimiters.
    `protected int` | `setIDs()` Sets the Ids property.
    `protected int` | `setLogFileNames()` Sets the log file name.
    `protected int` | `setPaths()` Sets the Path property.
    `int` | `setXGOptions()` Set XGTagger options.
    `void` | `setXMLWordAttributes(boolean outputOriginalToken, boolean outputLemma, boolean outputStandardSpelling)` Set word attribute names for XML output.
    `java.lang.String[]` | `splitStrings(java.lang.String input)` Split string into a series of substrings on whitespace boundries.
    `java.lang.String` | `stripQuotes(java.lang.String strText)` Removes eventual quotation mark around the property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceBundle

          protected java.util.ResourceBundle resourceBundle

      The resource strings.

    - #### resourceName

          protected static java.lang.String resourceName

      Resource bundle path.

    - #### programTitle

          public java.lang.String programTitle

      The program name.

    - #### programVersion

          public java.lang.String programVersion

      The program version.

    - #### programBanner

          public java.lang.String programBanner

      The program banner (title and version number)

    - #### morphAdornerLogger

          public MorphAdornerLogger morphAdornerLogger

      Logger.

    - #### properties

          public UTF8Properties properties

      MorphAdorner configuration properties.

    - #### xgOptions

          public XGOptions xgOptions

      XGTagger configuration properties.

    - #### debug

          public boolean debug

      True if debugging enabled.

    - #### initialized

          protected boolean initialized

      True if MorphAdorner already initialized.

    - #### outputDirectoryName

          public java.lang.String outputDirectoryName

      Output directory name.

    - #### wordLexiconURLString

          protected java.lang.String wordLexiconURLString

      Word lexicon URL.

    - #### wordLexiconURL

          public java.net.URL wordLexiconURL

    - #### suffixLexiconURLString

          protected java.lang.String suffixLexiconURLString

      Suffix lexicon URL.

    - #### suffixLexiconURL

          public java.net.URL suffixLexiconURL

    - #### contextRulesURLString

          protected java.lang.String contextRulesURLString

      Context rules URL.

    - #### contextRulesURL

          public java.net.URL contextRulesURL

    - #### lexicalRulesURLString

          protected java.lang.String lexicalRulesURLString

      Lexical rules URL.

    - #### lexicalRulesURL

          public java.net.URL lexicalRulesURL

    - #### spellingsURLString

          protected java.lang.String spellingsURLString

      Standard spellings URL.

    - #### spellingsURL

          public java.net.URL spellingsURL

    - #### alternateSpellingsURLStrings

          protected java.lang.String[] alternateSpellingsURLStrings

      Alternate spellings URLs.

    - #### alternateSpellingsURLs

          public java.net.URL[] alternateSpellingsURLs

    - #### alternateSpellingsByWordClassURLStrings

          protected java.lang.String[] alternateSpellingsByWordClassURLStrings

      Alternate spellings by word class URL.

    - #### alternateSpellingsByWordClassURLs

          public java.net.URL[] alternateSpellingsByWordClassURLs

    - #### transitionMatrixURLString

          protected java.lang.String transitionMatrixURLString

      Transition matrix URL.

    - #### transitionMatrixURL

          public java.net.URL transitionMatrixURL

    - #### defaultPropertiesURLString

          protected java.lang.String defaultPropertiesURLString

      MorphAdorner properties file URL.

    - #### propertiesURLString

          protected java.lang.String propertiesURLString

    - #### propertiesURL

          public java.net.URL propertiesURL

    - #### fileNames

          public java.lang.String[] fileNames

      File names to process.

    - #### outputSentenceNumber

          public boolean outputSentenceNumber

      Output sentence number.

    - #### outputSentenceNumberAttribute

          public java.lang.String outputSentenceNumberAttribute

      Output sentence number attribute.

    - #### outputWordOrdinalAttribute

          public java.lang.String outputWordOrdinalAttribute

      Output word ordinal attribute.

    - #### outputWordOrdinal

          public boolean outputWordOrdinal

      Output word ordinal.

    - #### outputWordNumber

          public boolean outputWordNumber

      Output word number.

    - #### outputWordNumberAttribute

          public java.lang.String outputWordNumberAttribute

      Output word number attribute.

    - #### outputRunningWordNumbers

          public boolean outputRunningWordNumbers

      Output running word number.

    - #### outputSpelling

          public boolean outputSpelling

      Output (corrected) spelling.

    - #### outputSpellingAttribute

          public java.lang.String outputSpellingAttribute

      Output spelling attribute.

    - #### outputOriginalToken

          public boolean outputOriginalToken

      Output original token.

    - #### outputOriginalTokenAttribute

          public java.lang.String outputOriginalTokenAttribute

      Output original token attribute.

    - #### outputPartOfSpeech

          public boolean outputPartOfSpeech

      Output part of speech tag.

    - #### outputPartOfSpeechAttribute

          public java.lang.String outputPartOfSpeechAttribute

      Output part of speech tag attribute.

    - #### outputLemma

          public boolean outputLemma

      Output lemma.

    - #### outputLemmaAttribute

          public java.lang.String outputLemmaAttribute

      Output lemma attribute.

    - #### outputStandardSpelling

          public boolean outputStandardSpelling

      Output standard spelling.

    - #### outputStandardSpellingAttribute

          public java.lang.String outputStandardSpellingAttribute

      Output standard spelling attribute.

    - #### outputKWIC

          public boolean outputKWIC

      Output KWIC index.

    - #### outputLeftKWICAttribute

          public java.lang.String outputLeftKWICAttribute

      Output left KWIC index attribute.

    - #### outputRightKWICAttribute

          public java.lang.String outputRightKWICAttribute

      Output right KWIC index attribute.

    - #### outputKWICWidth

          public int outputKWICWidth

      Number of characters in KWIC index entry.

    - #### outputEOSFlag

          public boolean outputEOSFlag

      Output end of sentence flag.

    - #### outputEOSFlagAttribute

          public java.lang.String outputEOSFlagAttribute

      Output end of sentence flag attribute.

    - #### xmlDoctypeName

          public java.lang.String xmlDoctypeName

      XML doctype name for output.

    - #### xmlDoctypeSystem

          public java.lang.String xmlDoctypeSystem

      XML doctype system (DTD) for output.

    - #### useXMLHandler

          public boolean useXMLHandler

      Use XGTagger-based XML handler.

    - #### ignoreLexiconEntriesForLemmatization

          public boolean ignoreLexiconEntriesForLemmatization

      Ignore lemma in lexicon when lemmatizing.

    - #### tryStandardSpellings

          public boolean tryStandardSpellings

      Try standard spellings when guessing parts of speech.

    - #### useLatinWordList

          public boolean useLatinWordList

      Use Latin word list.

    - #### outputWhitespaceElements

          public boolean outputWhitespaceElements

      Output whitespace elements.

    - #### outputNonredundantAttributesOnly

          public boolean outputNonredundantAttributesOnly

      Output only non-redundant word level attributes.

    - #### outputNonredundantTokenAttribute

          public boolean outputNonredundantTokenAttribute

      Output only non-redundant token attribute.

    - #### outputNonredundantPartAttribute

          public boolean outputNonredundantPartAttribute

      Output only non-redundant part attribute.

    - #### outputNonredundantEosAttribute

          public boolean outputNonredundantEosAttribute

      Output only non-redundant eos attribute.

    - #### outputSentenceBoundaryMilestones

          public boolean outputSentenceBoundaryMilestones

      Output sentence boundary milestones.

    - #### usePCToMarkEndOfSentence

          public boolean usePCToMarkEndOfSentence

      Use PC element to mark end of sentence.

    - #### allowLowerCaseProperNouns

          public boolean allowLowerCaseProperNouns

      Allow proper nouns to be lower case when part of speech tagging.

    - #### fixGapTags

          public boolean fixGapTags

      Fix elements in input text.

    - #### fixOrigTags

          public boolean fixOrigTags

      Fix elements in input text.

    - #### fixSplitWords

          public boolean fixSplitWords

      Fix selected split words in input text.

    - #### fixSplitWordsPatternReplacers

          public java.util.List<PatternReplacer> fixSplitWordsPatternReplacers

      Fix split words pattern replacers.

    - #### pseudoPageSize

          public int pseudoPageSize

      Pseudo-page size.

    - #### outputPseudoPageBoundaryMilestones

          public boolean outputPseudoPageBoundaryMilestones

      Output pseudo-page boundary milestones.

    - #### pseudoPageContainerDivTypes

          public java.lang.String pseudoPageContainerDivTypes

      List of pseudo-page ending div types.

    - #### closeSentenceAtEndOfHardTag

          public boolean closeSentenceAtEndOfHardTag

      Close sentence at end of hard tag.

    - #### closeSentenceAtEndOfJumpTag

          public boolean closeSentenceAtEndOfJumpTag

      Close sentence at end of jump tag.

    - #### xmlSchema

          public java.lang.String xmlSchema

      XML schema to use when parsing XML input files.

    - #### disallowWordElementsIn

          public java.lang.String disallowWordElementsIn

      XML tags from which to remove word tags.

    - #### xmlIDType

          public MorphAdornerSettings.XMLIDType xmlIDType

      XML ID Type.

    - #### xmlIDSpacing

          public int xmlIDSpacing

      XML ID spacing.

    - #### xmlTokenLabelEmit

          public boolean xmlTokenLabelEmit

      Emit XML token label?

    - #### xmlTokenLabelAttribute

          public java.lang.String xmlTokenLabelAttribute

      XML token label attribute.

    - #### xmlTokenLabelSpacing

          public int xmlTokenLabelSpacing

      XML token label spacing.

    - #### xmlTokenLabelPrependWorkName

          public boolean xmlTokenLabelPrependWorkName

      XML token label prepend work name.

    - #### xmlWordAttributes

          public java.util.List<java.lang.String> xmlWordAttributes

      XML word attributes.

    - #### abbreviationsURL

          public java.lang.String abbreviationsURL

      Abbreviations URL.

    - #### abbreviationsMainTextURL

          public java.lang.String abbreviationsMainTextURL

      Abbreviations URL for main text.

    - #### abbreviationsSideTextURL

          public java.lang.String abbreviationsSideTextURL

      Abbreviations URL for side text.

    - #### adornExistingXMLFiles

          public boolean adornExistingXMLFiles

      Adorn XML files with existing adorned version in output directory.

    - #### tokenizeOnly

          public boolean tokenizeOnly

      Tokenize only: Override other output than tokenization for XML.

    - #### STR_ID

          protected static final java.lang.String STR_ID

      XGTagger configuration item names.
      See Also:
        Constant Field Values

    - #### STR_ID_TYPE

          protected static final java.lang.String STR_ID_TYPE

      See Also:
        Constant Field Values

    - #### STR_ID_SPACING

          protected static final java.lang.String STR_ID_SPACING

      See Also:
        Constant Field Values

    - #### STR_TOKENLABEL_EMIT

          protected static final java.lang.String STR_TOKENLABEL_EMIT

      See Also:
        Constant Field Values

    - #### STR_TOKENLABEL_ATTRIBUTE

          protected static final java.lang.String STR_TOKENLABEL_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### STR_TOKENLABEL_SPACING

          protected static final java.lang.String STR_TOKENLABEL_SPACING

      See Also:
        Constant Field Values

    - #### STR_TOKENLABEL_PREPENDWORKNAME

          protected static final java.lang.String STR_TOKENLABEL_PREPENDWORKNAME

      See Also:
        Constant Field Values

    - #### STR_LOG

          protected static final java.lang.String STR_LOG

      See Also:
        Constant Field Values

    - #### STR_WORD_PATH

          protected static final java.lang.String STR_WORD_PATH

      See Also:
        Constant Field Values

    - #### STR_TAGS_PATH

          protected static final java.lang.String STR_TAGS_PATH

      See Also:
        Constant Field Values

    - #### STR_FIELD_DELIMITERS

          protected static final java.lang.String STR_FIELD_DELIMITERS

      See Also:
        Constant Field Values

    - #### STR_WORD_DELIMITERS

          protected static final java.lang.String STR_WORD_DELIMITERS

      See Also:
        Constant Field Values

    - #### STR_SURROUND_MARKER

          protected static final java.lang.String STR_SURROUND_MARKER

      See Also:
        Constant Field Values

    - #### STR_WORD_FIELD

          protected static final java.lang.String STR_WORD_FIELD

      See Also:
        Constant Field Values

    - #### STR_OUTPUT_FILE

          protected static final java.lang.String STR_OUTPUT_FILE

      See Also:
        Constant Field Values

    - #### STR_ENTITIES_NOT_FILES

          protected static final java.lang.String STR_ENTITIES_NOT_FILES

      See Also:
        Constant Field Values

    - #### STR_ENTITIES_TREAT_ALL

          protected static final java.lang.String STR_ENTITIES_TREAT_ALL

      See Also:
        Constant Field Values

    - #### STR_ENTITIES_MERGE

          protected static final java.lang.String STR_ENTITIES_MERGE

      See Also:
        Constant Field Values

    - #### STR_RELATIVE_URI_BASE

          protected static final java.lang.String STR_RELATIVE_URI_BASE

      See Also:
        Constant Field Values

    - #### STR_REPEAT_ATTRIBUTES

          protected static final java.lang.String STR_REPEAT_ATTRIBUTES

      See Also:
        Constant Field Values

    - #### STR_JUMP_TAGS

          protected static final java.lang.String STR_JUMP_TAGS

      See Also:
        Constant Field Values

    - #### STR_SOFT_TAGS

          protected static final java.lang.String STR_SOFT_TAGS

      See Also:
        Constant Field Values

    - #### STR_PUNC_TAG_NAME

          protected static final java.lang.String STR_PUNC_TAG_NAME

      See Also:
        Constant Field Values

    - #### STR_WORD_TAG_NAME

          protected static final java.lang.String STR_WORD_TAG_NAME

      See Also:
        Constant Field Values

    - #### STR_SPECIAL_SEPARATOR

          protected static final java.lang.String STR_SPECIAL_SEPARATOR

      See Also:
        Constant Field Values

    - #### STR_IGNORE_TAG_CASE

          protected static final java.lang.String STR_IGNORE_TAG_CASE

      See Also:
        Constant Field Values

    - #### STR_DOCTYPE_NAME

          protected static final java.lang.String STR_DOCTYPE_NAME

      See Also:
        Constant Field Values

    - #### STR_DOCTYPE_SYSTEM

          protected static final java.lang.String STR_DOCTYPE_SYSTEM

      See Also:
        Constant Field Values

    - #### STR_OUTPUT_WHITESPACE_ELEMENTS

          protected static final java.lang.String STR_OUTPUT_WHITESPACE_ELEMENTS

      See Also:
        Constant Field Values

    - #### STR_OUTPUT_NONREDUNDANT_ATTRIBUTES_ONLY

          protected static final java.lang.String STR_OUTPUT_NONREDUNDANT_ATTRIBUTES_ONLY

      See Also:
        Constant Field Values

    - #### STR_OUTPUT_NONREDUNDANT_TOKEN_ATTRIBUTE

          protected static final java.lang.String STR_OUTPUT_NONREDUNDANT_TOKEN_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### STR_OUTPUT_NONREDUNDANT_PART_ATTRIBUTE

          protected static final java.lang.String STR_OUTPUT_NONREDUNDANT_PART_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### STR_OUTPUT_NONREDUNDANT_EOS_ATTRIBUTE

          protected static final java.lang.String STR_OUTPUT_NONREDUNDANT_EOS_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### STR_OUTPUT_SENTENCE_BOUNDARY_MILESTONES

          protected static final java.lang.String STR_OUTPUT_SENTENCE_BOUNDARY_MILESTONES

      See Also:
        Constant Field Values

    - #### STR_USE_PC_TO_MARK_END_OF_SENTENCE

          protected static final java.lang.String STR_USE_PC_TO_MARK_END_OF_SENTENCE

      See Also:
        Constant Field Values

    - #### STR_FIX_GAP_TAGS

          protected static final java.lang.String STR_FIX_GAP_TAGS

      See Also:
        Constant Field Values

    - #### STR_FIX_ORIG_TAGS

          protected static final java.lang.String STR_FIX_ORIG_TAGS

      See Also:
        Constant Field Values

    - #### STR_FIX_SPLIT_WORDS

          protected static final java.lang.String STR_FIX_SPLIT_WORDS

      See Also:
        Constant Field Values

    - #### STR_PSEUDO_PAGE_SIZE

          protected static final java.lang.String STR_PSEUDO_PAGE_SIZE

      See Also:
        Constant Field Values

    - #### STR_OUTPUT_PSEUDO_PAGE_BOUNDARY_MILESTONES

          protected static final java.lang.String STR_OUTPUT_PSEUDO_PAGE_BOUNDARY_MILESTONES

      See Also:
        Constant Field Values

    - #### STR_PSEUDO_PAGE_CONTAINER_DIV_TYPES

          protected static final java.lang.String STR_PSEUDO_PAGE_CONTAINER_DIV_TYPES

      See Also:
        Constant Field Values

    - #### STR_CLOSE_SENTENCE_AT_END_OF_HARD_TAG

          protected static final java.lang.String STR_CLOSE_SENTENCE_AT_END_OF_HARD_TAG

      See Also:
        Constant Field Values

    - #### STR_CLOSE_SENTENCE_AT_END_OF_JUMP_TAG

          protected static final java.lang.String STR_CLOSE_SENTENCE_AT_END_OF_JUMP_TAG

      See Also:
        Constant Field Values

    - #### STR_XMLSCHEMA

          protected static final java.lang.String STR_XMLSCHEMA

      See Also:
        Constant Field Values

    - #### STR_WORD_LEXICON

          protected static final java.lang.String STR_WORD_LEXICON

      See Also:
        Constant Field Values

    - #### STR_SUFFIX_LEXICON

          protected static final java.lang.String STR_SUFFIX_LEXICON

      See Also:
        Constant Field Values

    - #### STR_CONTEXT_RULES

          protected static final java.lang.String STR_CONTEXT_RULES

      See Also:
        Constant Field Values

    - #### STR_LEXICAL_RULES

          protected static final java.lang.String STR_LEXICAL_RULES

      See Also:
        Constant Field Values

    - #### STR_STANDARD_SPELLINGS

          protected static final java.lang.String STR_STANDARD_SPELLINGS

      See Also:
        Constant Field Values

    - #### STR_SPELLING_PAIRS

          protected static final java.lang.String STR_SPELLING_PAIRS

      See Also:
        Constant Field Values

    - #### STR_SPELLING_PAIRS_BY_WORD_CLASS

          protected static final java.lang.String STR_SPELLING_PAIRS_BY_WORD_CLASS

      See Also:
        Constant Field Values

    - #### STR_TRANSITION_MATRIX

          protected static final java.lang.String STR_TRANSITION_MATRIX

      See Also:
        Constant Field Values

    - #### STR_DISALLOW_WORD_ELEMENTS_IN

          protected static final java.lang.String STR_DISALLOW_WORD_ELEMENTS_IN

      See Also:
        Constant Field Values

    - #### STR_ADORN_EXISTING_XML_FILES

          protected static final java.lang.String STR_ADORN_EXISTING_XML_FILES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MorphAdornerSettings

          public MorphAdornerSettings()

      Create MorphAdorner settings.

  - ### Method Detail

    - #### initializeSettings

          public void initializeSettings(MorphAdornerLogger morphAdornerLogger)

      Initialize MorphAdorner settings.
      Parameters:
        `morphAdornerLogger` - MorphAdorner logger.

    - #### getString

          public java.lang.String getString(java.lang.String resourceName,
                                   java.lang.String defaultValue)

      Get string from ResourceBundle. If no string is found, a default string is used.
      Parameters:
        `resourceName` - Name of resource to retrieve.
        `defaultValue` - Default value for resource.
      Returns:
        String value from resource bundle if resourceName found there, otherwise defaultValue.

        Underline "_" characters are replaced by spaces.

    - #### getString

          public java.lang.String getString(java.lang.String resourceName)

      Get string from ResourceBundle. If no string is found, an empty string is returned.
      Parameters:
        `resourceName` - Name of resource to retrieve.
      Returns:
        String value from resource bundle if resourceName found there, otherwise empty string.

        Underline "_" characters are replaced by spaces.

    - #### getStrings

          public java.lang.String[] getStrings(java.lang.String resourceName,
                                      java.lang.String[] defaults)

      Parse ResourceBundle for a String array.
      Parameters:
        `resourceName` - Name of resource.
        `defaults` - Array of default string values.
      Returns:
        Array of strings if resource name found in resources, otherwise default values.

    - #### splitStrings

          public java.lang.String[] splitStrings(java.lang.String input)

      Split string into a series of substrings on whitespace boundries.
      Parameters:
        `input` - Input string.
      Returns:
        The array of strings after splitting input.

        This is useful for retrieving an array of strings from the resource file. Underline "_" characters are replaced by spaces.

    - #### getCommandLineParameters

          protected void getCommandLineParameters(java.lang.String[] args)

      Get command line parameters.
      Parameters:
        `args` - Command line parameters.

    - #### getSettings

          public void getSettings(java.lang.String[] args)
                           throws java.lang.Exception

      Get program settings.
      Parameters:
        `args` - Command line parameters.
      Throws:
        `java.lang.Exception`

    - #### loadProperties

          public void loadProperties()

      Get MorphAdorner properties and add them to the System properties.

    - #### help

          protected static void help()

      Prints the help message.

    - #### getOptions

          public void getOptions()
                          throws java.lang.Exception

      Get options from properties file.
      Throws:
        `java.lang.Exception`

    - #### rectifyOptions

          public void rectifyOptions()
                              throws java.lang.Exception

      Rectify options.
      Throws:
        `java.lang.Exception`

    - #### setXGOptions

          public int setXGOptions()
                           throws java.io.IOException

      Set XGTagger options.
      Throws:
        `java.io.IOException`

    - #### entityReferenceHandling

          protected int entityReferenceHandling()

      Get XGTagger entity reference handling.

    - #### setDelimiters

          protected int setDelimiters()

      Sets word delimiters.
      Returns:
        `0`.

    - #### setPaths

          protected int setPaths()
                          throws java.io.IOException

      Sets the Path property.
      Returns:
        `0` whether the Path property has been correctly specified, `-1` otherwise.
      Throws:
        `java.io.IOException`

    - #### setIDs

          protected int setIDs()
                        throws java.io.IOException

      Sets the Ids property.
      Returns:
        `0` whether the Ids property has been correctly specified, `-1` otherwise.
      Throws:
        `java.io.IOException`

    - #### setLogFileNames

          protected int setLogFileNames()
                                 throws java.io.IOException

      Sets the log file name.
      Returns:
        `0`.

        If the log file name has not been specified (but a log asked), the file name is `input_file.log`.

      Throws:
        `java.io.IOException`

    - #### stripQuotes

          public java.lang.String stripQuotes(java.lang.String strText)

      Removes eventual quotation mark around the property.
      Parameters:
        `strText` - the initial text.
      Returns:
        the same text, without quotation marks.

    - #### getBooleanProperty

          protected boolean getBooleanProperty(java.lang.String name,
                                   boolean defaultValue)

      Get a boolean configuration property.
      Parameters:
        `name` - Property name.
        `defaultValue` - Default value.
      Returns:
        Property value or default if not defined.

    - #### getIntegerProperty

          protected int getIntegerProperty(java.lang.String name,
                               int defaultValue)

      Get an integer configuration property.
      Parameters:
        `name` - Property name.
        `defaultValue` - Default value.
      Returns:
        Property value, or default if not defined.

    - #### getBooleanStringProperty

          protected java.lang.String getBooleanStringProperty(java.lang.String name,
                                                  java.lang.String defaultValue)

      Get a boolean string configuration property.
      Parameters:
        `name` - Property name.
        `defaultValue` - Default value.
      Returns:
        Property value, or default if not defined. Returns "false" if false, and non-empty string if true.

    - #### getStringProperty

          protected java.lang.String getStringProperty(java.lang.String name,
                                           java.lang.String defaultValue)

      Get a string configuration property.
      Parameters:
        `name` - Property name.
        `defaultValue` - Default value.
      Returns:
        Property value, or default if not defined.

    - #### setXMLWordAttributes

          public void setXMLWordAttributes(boolean outputOriginalToken,
                                  boolean outputLemma,
                                  boolean outputStandardSpelling)

      Set word attribute names for XML output.
      Parameters:
        `outputOriginalToken` - true to output original token.
        `outputLemma` - true to output lemma.
        `outputStandardSpelling` - true to output standard spelling.

    - #### getXMLWordAttribute

          public java.lang.String getXMLWordAttribute(int attrIndex)

      Get XML word attribute.
      Parameters:
        `attrIndex` - Attribute index.
      Returns:
        Attribute name for specified index, or empty string if index is bad.

    - #### getXMLWordAttributes

          public java.util.List<java.lang.String> getXMLWordAttributes()

      Get XML word attributes.
      Returns:
        XML word attribute names.

    - #### getSettings

          public MorphAdornerSettings getSettings()

      Return settings.
      Returns:
        The MorphAdorner settings defined here.

    - #### getMorphAdornerVersion

          public java.lang.String getMorphAdornerVersion()

      Return MorphAdorner program version.
      Returns:
        The MorphAdorner program version as a string.